Subject: [bug#63295] [PATCH] Update csvkit to 1.1.1

From: Greg Hogan <[email-masked]>
Date: Thu, 11 May 2023 18:08:47 -0400

On Sat, May 6, 2023 at 11:27 AM Alice BRENON <[email-masked]> wrote:
>
> Thanks for your vigilance and sorry for the duplicate. Following our
> discussion I'll leave it open for now, hoping one of them will be
> reviewed and accepted.
>
> I'll also follow the advice of the linter (actually I had first gone for a
> substitute* to fix the errors in the tests it was the linter which suggested I
> updated the packages, making me completely rewrite my patch and taking some time
> to check whether the dependencies where still needed and then I forgot to put a pair of
> parenthesis back to the line where they belonged — that, and to re-run the
> linter after having reworked on the patch that much, that is) and here is a
> hopefully cleaner version of my patch.

The patch should be divided with each package update in a separate
patch (a large number of small, similar updates can be made in a
single patch).

Your update to python-agate includes glibc-locales (a 932 MiB package)
whereas mine added python-agate-locales as a new package. Yours has
(as noted) additional changes to the inputs.

My patchset updates python-agate-sql. I don't recall why, but it must
have fixed a breaking build. The only dependent package is csvkit.